import $ from 'jquery';
import 'bootstrap';
import flatpickr from 'flatpickr';

require('../scss/admin.scss');
require('./admin/product');

$(document).on('shown.bs.tab', 'a[data-toggle="tab"]', function() {
    document.location.hash = $(this).attr('href').replace(/^[^#]*#/, '');
});

$(function() {
    flatpickr(document.getElementsByName('date_end_sale'),
        {
            enableTime: true,
            enableSeconds: true,
            dateFormat: "Y-m-d H:i:S",
            time_24hr: true,
            minuteIncrement: 1,
        }
    );

    if (typeof $.fn.tab !== 'undefined') {
        $('a[href="' + document.location.hash + '"]').tab('show');
    }
});
